--- a/pico/lib/picopltf.h
+++ b/pico/lib/picopltf.h
@@ -39,6 +39,8 @@
 #define PICO_MacOSX     5   /* Macintosh OS X */
 #define PICO_Linux      7   /* Linux */
 
+#define PICO_GENERIC    99  /* Generic */
+
 /* * definition of current platform ***/
 #if !defined(PICO_PLATFORM)
 #if defined(_WIN32)
@@ -48,7 +50,7 @@
 #elif defined(linux) || defined(__linux__) || defined(__linux)
 #define PICO_PLATFORM    PICO_Linux
 #else
-#error PICO_PLATFORM not defined
+#define PICO_PLATFORM    PICO_GENERIC
 #endif
 #endif /* !defined(PICO_PLATFORM) */
 
@@ -64,7 +66,8 @@
 #define PICO_PLATFORM_STRING "UnknownPlatform"
 #endif
 
-#if (PICO_PLATFORM == PICO_MacOSX)
+#include <endian.h>
+#if __BYTE_ORDER == __BIG_ENDIAN
 #define PICO_ENDIANNESS ENDIANNESS_BIG
 #else
 #define PICO_ENDIANNESS ENDIANNESS_LITTLE
